Package com.trilead.ssh2.crypto.digest

# Class MAC

java.lang.Object
com.trilead.ssh2.crypto.digest.MAC

public final class MAC extends Object
MAC.

## Constructor Summary

Constructors
Constructor
Description
`MAC(String type, byte[] key)`

## Method Summary

Modifier and Type
Method
Description
`static final void`
`checkMacList(String[] macs)`
`static final int`
`getKeyLen(String type)`
`final void`
`getMac(byte[] out, int off)`
`static final String[]`
`getMacList()`
`final void`
`initMac(int seq)`
`final int`
`size()`
`final void`
`update(byte[] packetdata, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MAC

public MAC(String type, byte[] key)

## Method Details

### getMacList

public static final String[] getMacList()

### checkMacList

public static final void checkMacList(String[] macs)

### getKeyLen

public static final int getKeyLen(String type)

### initMac

public final void initMac(int seq)

### update

public final void update(byte[] packetdata, int off, int len)

### getMac

public final void getMac(byte[] out, int off)

### size

public final int size()